TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get shard block proof

POST
/api/v2/getShardBlockProof

Returns a Merkle proof that links a shardchain block to a masterchain block. This proof cryptographically verifies that the shard block is part of the canonical chain. Used by light clients and cross-chain bridges to verify shard data without trusting the API.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v2/getShardBlockProof" \  -H "Content-Type: application/json" \  -d '{    "workchain": "string",    "shard": "string",    "seqno": "string"  }'
{  "ok": true,  "result": {    "@type": "blocks.shardBlockProof",    "from": {      "@type": "ton.blockIdExt",      "workchain": 0,      "shard": "string",      "seqno": 0,      "root_hash": "string",      "file_hash": "string"    },    "mc_id": {      "@type": "ton.blockIdExt",      "workchain": 0,      "shard": "string",      "seqno": 0,      "root_hash": "string",      "file_hash": "string"    },    "links": [      {        "@type": "blocks.shardBlockLink",        "id": {          "@type": "ton.blockIdExt",          "workchain": 0,          "shard": "string",          "seqno": 0,          "root_hash": "string",          "file_hash": "string"        },        "proof": "string"      }    ],    "mc_proof": [      {        "@type": "blocks.blockLinkBack",        "to_key_block": true,        "from": {          "@type": "ton.blockIdExt",          "workchain": 0,          "shard": "string",          "seqno": 0,          "root_hash": "string",          "file_hash": "string"        },        "to": {          "@type": "ton.blockIdExt",          "workchain": 0,          "shard": "string",          "seqno": 0,          "root_hash": "string",          "file_hash": "string"        },        "dest_proof": "string",        "proof": "string",        "state_proof": "string"      }    ]  },  "@extra": "string"}